Package Details: blockify 3.6.3-3

Git Clone URL: https://aur.archlinux.org/blockify.git (read-only)
Package Base: blockify
Description: Mutes Spotify advertisements.
Upstream URL: https://github.com/mikar/blockify
Licenses: MIT
Conflicts: blockify-git
Submitter: serialoverflow
Maintainer: serialoverflow
Last Packager: serialoverflow
Votes: 127
Popularity: 0.020590
First Submitted: 2013-12-19 22:18
Last Updated: 2016-11-29 23:36

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

polyzen commented on 2016-11-02 19:25

c3924754, this has happened to me before, but haven't seen the issue in some time. Iirc another workaround is to pause/play the song.

c3924754 commented on 2016-11-02 15:19

Is anyone else getting regular Spotify songs muted by this?
After running blockify a few seconds/minutes later Spotify is muted (while playing a normal song, not an ad).
I have to open my Mixer and unmute the application.
But it keeps happening afterwards. Anyone?

ClawOfLight commented on 2016-10-22 11:25

Yeah, could you please add a .desktop file for blockify-ui?

j1simon commented on 2016-07-15 09:26

Why haven't a .desktop file for blockify-ui?

echo -e '[Desktop Entry]\nName=Blockify\nComment=Blocks Spotify commercials\nExec=blockify-ui\nIcon='$(python3 -c 'import pkg_resources; print(pkg_resources.resource_filename("blockify", "data/icon-red-512.png"))')'\nType=Application\nCategories=AudioVideo' | sudo tee /usr/share/applications/blockify.desktop

serialoverflow commented on 2016-05-13 14:36

@ganbatte:
python-setuptools is defined as a makedepend. i've tested it and it is installed if missing. how did you get it to crash?
i could confirm the docopt issue and fixed it in blockify. I've also moved docopt from optdepends to depends. Thanks!

ganbatte commented on 2016-05-13 14:08

The packages python-setuptools and python-docopt should be defined as dependencies, the package crashes without them installed.

serialoverflow commented on 2016-05-10 13:57

@InfernoZeus: Good idea. Can you submit a pull request on the legacy branch with an updated README.md?
Regards

InfernoZeus commented on 2016-05-10 13:23

I've just created a blockify-legacy package which works with spotify-stable, instead of spotify(-beta). @mikar, any chance of a mention on your Github project page?

dflt commented on 2016-05-08 08:55

Sorry! I did change the default symlink of /usr/bin/python before holidays and forgot about it. Everything works. :)

serialoverflow commented on 2016-05-08 08:00

Did you change anything? Blockify 3.6.2 apparently installed as a python2 package on your system. That won't work.